// QuizSetupPage1.cpp : implementation file
//
#include "stdafx.h"
#include "resource.h"
#include "QuizSetupPage1.h"
#include "QuizSetupProperty.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CQuizSetupPage1 property page

//IMPLEMENT_DYNCREATE(CQuizSetupPage1, CPropertyPage)

CQuizSetupPage1::CQuizSetupPage1(CQuizSetupProperty *wndParent) : CPropertyPage(CQuizSetupPage1::IDD)
{
	//{{AFX_DATA_INIT(CQuizSetupPage1)
	m_bInternalExam = FALSE;
	m_bQuizPageScroll = FALSE;
	m_bQuizResultSync = FALSE;
	m_bWordClass = FALSE;
	m_cstrWordClassText = _T("");
	//}}AFX_DATA_INIT
	m_wndParent = wndParent;
}

CQuizSetupPage1::~CQuizSetupPage1()
{
}

void CQuizSetupPage1::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CQuizSetupPage1)
	DDX_Check(pDX, IDC_INTERNAL_EXAM_MODE, m_bInternalExam);
	DDX_Check(pDX, IDC_QUIZ_PAGE_SCROLL_MODE, m_bQuizPageScroll);
	DDX_Check(pDX, IDC_QUIZ_RESULT_SYNC, m_bQuizResultSync);
	DDX_Check(pDX, IDC_WORD_CLASS_MODE, m_bWordClass);
	DDX_Text(pDX, IDC_WORD_CLASS_TEXT, m_cstrWordClassText);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CQuizSetupPage1, CPropertyPage)
	//{{AFX_MSG_MAP(CQuizSetupPage1)
	ON_BN_CLICKED(IDC_QUIZ_RESULT_SYNC, OnQuizResultSync)
	ON_BN_CLICKED(IDC_INTERNAL_EXAM_MODE, OnInternalExamMode)
	ON_BN_CLICKED(IDC_QUIZ_PAGE_SCROLL_MODE, OnQuizPageScrollMode)
	ON_BN_CLICKED(IDC_WORD_CLASS_MODE, OnWordClassMode)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CQuizSetupPage1 message handlers

void CQuizSetupPage1::OnQuizResultSync() 
{
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);
	
}

void CQuizSetupPage1::OnInternalExamMode() 
{
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);
	// []  ϴ, Ư GetPage() κ  ȮҰ.
	if( m_wndParent->GetPageCount() > 2 )
	{
		m_wndParent->GetPage(1)->GetDlgItem(IDC_ANSWER)->EnableWindow(m_bInternalExam != TRUE);
	}
	
}

void CQuizSetupPage1::OnQuizPageScrollMode() 
{
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);
	
}

void CQuizSetupPage1::OnWordClassMode() 
{
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);
	GetDlgItem(IDC_WORD_CLASS_TEXT)->EnableWindow(m_bWordClass != TRUE );
}
