// QuizSetupPage2.cpp : implementation file
//
#include "stdafx.h"
#include "resource.h"
#include "QuizSetupPage2.h"
#include "QuizSetupProperty.h"
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CQuizSetupPage2 property page

//IMPLEMENT_DYNCREATE(CQuizSetupPage2, CPropertyPage)

CQuizSetupPage2::CQuizSetupPage2(CQuizSetupProperty *wndParent) : CPropertyPage(CQuizSetupPage2::IDD)
{
	//{{AFX_DATA_INIT(CQuizSetupPage2)
	m_uiFontSize = 0;
	m_nNumQuiz = 0;
	//}}AFX_DATA_INIT
	m_wndParent = wndParent;
}

CQuizSetupPage2::~CQuizSetupPage2()
{
}

void CQuizSetupPage2::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CQuizSetupPage2)
	DDX_Control(pDX, IDC_NUM_EXAMPLE, m_wndNumExample);
	DDX_Control(pDX, IDC_QUESTION, m_wndQuestion);
	DDX_Control(pDX, IDC_ANSWER, m_wndAnswer);
	DDX_Text(pDX, IDC_FONT_SIZE, m_uiFontSize);
	DDX_Text(pDX, IDC_NUM_QUIZ, m_nNumQuiz);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CQuizSetupPage2, CPropertyPage)
	//{{AFX_MSG_MAP(CQuizSetupPage2)
	ON_BN_CLICKED(IDC_QUIZ_10, OnQuiz10)
	ON_BN_CLICKED(IDC_QUIZ_20, OnQuiz20)
	ON_BN_CLICKED(IDC_QUIZ_40, OnQuiz40)
	ON_BN_CLICKED(IDC_WHOLE_CARDS, OnWholeCards)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CQuizSetupPage2 message handlers

void CQuizSetupPage2::OnQuiz10() 
{
	// TODO: Add your control notification handler code here
	m_nNumQuiz = 10;
	UpdateData(FALSE);
	
}

void CQuizSetupPage2::OnQuiz20() 
{
	// TODO: Add your control notification handler code here
	m_nNumQuiz = 20;
	UpdateData(FALSE);
	
}

void CQuizSetupPage2::OnQuiz40() 
{
	// TODO: Add your control notification handler code here
	m_nNumQuiz = 40;
	UpdateData(FALSE);
	
}

void CQuizSetupPage2::OnWholeCards() 
{
	// TODO: Add your control notification handler code here
	m_nNumQuiz = m_wndParent->m_uiMaxCards;
	UpdateData(FALSE);
	
}
