// QuizSetupPage3.cpp : implementation file
//
#include "stdafx.h"
#include "resource.h"
#include "QuizSetupPage3.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CQuizSetupPage3 property page

//IMPLEMENT_DYNCREATE(CQuizSetupPage3, CPropertyPage)

CQuizSetupPage3::CQuizSetupPage3(CQuizSetupProperty *wndParent) : CPropertyPage(CQuizSetupPage3::IDD)
{
	//{{AFX_DATA_INIT(CQuizSetupPage3)
	m_uiEndCardNum = 0;
	m_uiStartCardNum = 0;
	//}}AFX_DATA_INIT
	m_wndParent = wndParent;
}

CQuizSetupPage3::~CQuizSetupPage3()
{
}

void CQuizSetupPage3::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CQuizSetupPage3)
	DDX_Text(pDX, IDC_END_CARD_NUM, m_uiEndCardNum);
	DDX_Text(pDX, IDC_START_CARD_NUM, m_uiStartCardNum);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CQuizSetupPage3, CPropertyPage)
	//{{AFX_MSG_MAP(CQuizSetupPage3)
	ON_BN_CLICKED(IDC_FROM_ALL_CARDS, OnFromAllCards)
	ON_BN_CLICKED(IDC_FROM_MEMORIZED_CARDS, OnFromMemorizedCards)
	ON_BN_CLICKED(IDC_FROM_NOTMEMORIZED_CARDS, OnFromNotmemorizedCards)
	ON_BN_CLICKED(IDC_FROM_SELECTED_CARDS, OnFromSelectedCards)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CQuizSetupPage3 message handlers

void CQuizSetupPage3::OnFromAllCards() 
{
	// TODO: Add your control notification handler code here
	EnableQuizRangeControls(FALSE);
	
}

void CQuizSetupPage3::EnableQuizRangeControls(BOOL bEnable)
{
	GetDlgItem(IDC_START_CARD_NUM)->EnableWindow(bEnable);
	GetDlgItem(IDC_END_CARD_NUM)->EnableWindow(bEnable);	
	GetDlgItem(IDC_START_CARD_NUM_SPIN)->EnableWindow(bEnable);
	GetDlgItem(IDC_END_CARD_NUM_SPIN)->EnableWindow(bEnable);
}

void CQuizSetupPage3::OnFromMemorizedCards() 
{
	// TODO: Add your control notification handler code here
	EnableQuizRangeControls(FALSE);
	
}

void CQuizSetupPage3::OnFromNotmemorizedCards() 
{
	// TODO: Add your control notification handler code here
	EnableQuizRangeControls(FALSE);
	
}

void CQuizSetupPage3::OnFromSelectedCards() 
{
	// TODO: Add your control notification handler code here
	EnableQuizRangeControls(TRUE);
	
}
